<?php

/******************** MOLE -- Copyright 2008 *************************
 *
 * By
 * 		Erik Clairiot <ipingu *AT* clairiot _DOT_ com>
 * 		Remi Melisson <tospecify>
 *
 * Part of Mole.
 * Service that allows users to connect and register on the server.
 *
 * Mole is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Mole is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Mole; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 *********************************************************************/

require_once('Service.php');
require_once('../libs/database/MySQLQuery.php');
require_once('../conf/Params.inc.php');

/**
 * This class is a service that allows a client to connect to a server.
 */
abstract class HelloWorld implements Service {
    
    public function execute($s){
	$text = "Hello World!";
	$s = $s->getParam(0)->scalarVal();
	return new xmlrpcresp(new xmlrpcval($s." says \"".$text."\"", 'string'));
    }

}

?>
