<?

require_once("../libs/database/MySQLQuery.php");

interface ServicesQueryHelper {

};

class SQLServicesQueryHelper implements ServicesQueryHelper {

	//private static $dbHandler = MySQLQuery::getConfDB();

   	/**
     * Check if a channel with the same name as in parameter exists.
     * There is no verification about channel name.
     * @param name Channel name to join.
     * @return True if exists, false else.
     */
	public function channelExists($name){
		$dbHandler = MySQLQuery::getConfDB();
    	$result = $dbHandler->executeResultSet(
    		'SELECT id FROM '.TABLE_CHANNELS.' WHERE name="'.$name.'"');
    	if ($dbHandler->getNumRows($result) > 0){
    		return true;
    	} else {
    		return false;
    	}
    }

    /**
     * Creates a channel with the specified name. Verify if the channel
     * name is valid or not.
     *
     * @param name Channel name.
     * @return True if created. False else.
     */
    public function createChannel($name){
    	if (strlen($name) > 0 &&
       		strlen($name) <= CHANNEL_MAX_SIZE){
    		$dbHandler = MySQLQuery::getConfDB();
    		$result = $dbHandler->execute(
    			'INSERT INTO '.TABLE_CHANNELS.' SET name="'.$name.'"');
    		return true;
    	} else {
    		return false;
    	}
    }

    /**
     * Gets the identificator id for a specified channel.
     *
     * @param name Channel name;
     * @return The identificator. Negative number if error occured.
     */
    public function getChannelIdByName($name){
    	$dbHandler = MySQLQuery::getConfDB();
    	$result = $dbHandler->executeResultSet(
    		'SELECT id FROM '.TABLE_CHANNELS.' WHERE name="'.$name.'"');

    	if ($dbHandler->getNumRows($result) == 1){
    		$user = mysql_fetch_object($result);
    		return $user->id;
    	} else {
    		return -1;
    	}
    }

    /**
     * Registers an user into a channel. Checks before if the channel
     * exists.
     *
     * @param id_chan Channel name.
     * @param id_user User identificator.
     */
    public function joinChannel($channel, $id_user){
    	$dbHandler = MySQLQuery::getConfDB();
    	$id_chan = self::getChannelIdByName($channel);
    	if ($id_chan >= 0 && $id_user >= 0){
    		// TODO : Check user validity
    		$result = $dbHandler->execute(
    		'INSERT INTO '.TABLE_CHANNEL_USERS.'
    		SET id_channel="'.$id_chan.'", id_user="'.$id_user.'"');
    		return true;
    	} else {
    		return false;
    	}
    }

    /**
     * Gets the identificator of a client.
     *
     * @param login Client nickname.
     * @return Identificator if found, negative number else.
     */
    public function getUserIdByNick($login){
    	$dbHandler = MySQLQuery::getConfDB();
    	$result = $dbHandler->executeResultSet(
    		'SELECT molid FOM '.TABLE_USERS.' WHERE name="'.$login.'"
    		AND ip="'.$_SERVER['remote_addr'].'"');
    	if ($dbHandler->getNumRows($result) == 1){
    		$user = mysql_fetch_object($result);
    		return $user->id;
    	} else {
    		return -1;
    	}
    }



	public function getChannelUsers($name){
		$dbHandler = MySQLQuery::getConfDB();
		$result = $dbHandler->executeResultSet(
			'SELECT DISTINCT '.TABLE_USERS.'.id, '.TABLE_USERS.'.name FROM '.
			TABLE_CHANNELS.','.TABLE_CHANNEL_USERS.','.TABLE_USERS.
			' WHERE '.TABLE_CHANNELS.'.id = '.TABLE_CHANNEL_USERS.'.id_channel AND '.TABLE_CHANNELS.'.name = "'.
			$name.'" AND '.TABLE_USERS.'.id = '.TABLE_CHANNEL_USERS.'.id_user');
		$users = array();
		$i = 0;
		while ($user = mysql_fetch_object($result)){
			$users[$i++] = $user;
		}
		return $users;
	}
};
?>
