<?php

require_once('Service.php');
require_once('../libs/database/MySQLQuery.php');
require_once('../conf/Params.inc.php');

abstract class ListChannels implements Service {

};

class SQLListChannels extends ListChannels {

    public function execute($args){
	/* This service requires that client was previously auth on
	 * the server. Policy class do it for us. */
	if (!Policy::checkAuth($args->getParam(0)->scalarVal())){
	    return Policy::getXmlrpcresp();
	}	
	 
	/* Valid, we update the database */
	$result = MySQLQuery::getConfDB()->executeResultSet(
	    'SELECT name FROM '.TABLE_CHANNELS.' ORDER BY name ASC');

	$chans = array();
	$i = 0;
	while ($chan = mysql_fetch_object($result)){
	    $chans[$i++] = new xmlrpcval($chan->name, 'string');
	}
	return new xmlrpcresp(new xmlrpcval($chans, 'array'));
    }
}

?>
